Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026379
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2014-04-25 10:192014-08-19 20:20
ReporterjonalegriaesarteView Statuspublic 
Assigned Torafaroda 
PrioritynormalResolutionfixedFixed in Versionpi
StatusclosedFix in branchpiFixed in SCM revisionf98f86a4cf60
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAtulOpenbravo
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026379: Error message in posting Match Invoices is not showing the real error

DescriptionError message in posting Match Invoices is not showing the real error. System returns: “Process Failed During Execution” without further details and the real error is
PSQLException: ERROR: @NoConversionRate@
Steps To Reproduce- General ledger currency X
- Create transactions in purchase flow in currency Y
- Post the match invoice
Proposed SolutionExpected behavior:

The error message should explicitly say, No Conversion Rates Between
Currencies, not to a vague error message.
TagsNo tags attached.
Attached Filesdiff file icon FixesIssue_26379.diff [^] (2,102 bytes) 2014-07-30 19:13 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0068878)
rafaroda (developer)
2014-07-24 19:14
edited on: 2014-07-25 12:28

In order to reproduce the issue:
* Select organization F&B US Inc.
* Change Price List Happy Drinks Price List to EUR
* Create a Purchase Order for Business Partner Happy Drinks and complete it.
* Create a Goods Receipt header for Business Partner Happy Drinks, select lines from previously created Purchase Order and complete it.
* Create a Purchase Invoice header for Business Partner Happy Drinks, select lines from previously created Goods Receipt and complete it.
* Run the Costing Background Process
* Go to conversion rates, and deactivate the conversion rates between USD and EUR for the accounting date of the invoice.
* Go to Matched Invoices and select the Invoice Line related to the Goods Receipt Line and try to Post it: you will get error Process failed during execution and in the log.

2601f382 2014-07-24 19:06:19,451 [DefaultQuartzScheduler_Worker-7] ERROR org.openbravo.erpCommon.ad_forms.AcctServerData - SQL error in query: SELECT C_Currency_Convert(TO_NUMBER(?), ?, ?,TO_DATE(?),TO_CHAR(?), ?, ?) AS CONVERTED FROM DUALException:org.postgresql.util.PSQLException: ERROR: @NoConversionRate@ (EUR-€) @to@ (USD-$) @ForDate@ '24-07-2015', @Client@ 'F&B International Group' @And@ @ACCS_AD_ORG_ID_D@ 'F&B US, Inc.'.
2601f382 2014-07-24 19:06:19,451 [DefaultQuartzScheduler_Worker-7] WARN org.openbravo.erpCommon.ad_forms.AcctServer - javax.servlet.ServletException: @CODE=0@ERROR: @NoConversionRate@ (EUR-€) @to@ (USD-$) @ForDate@ '24-07-2015', @Client@ 'F&B International Group' @And@ @ACCS_AD_ORG_ID_D@ 'F&B US, Inc.'.
2601f382 2014-07-24 19:06:19,452 [DefaultQuartzScheduler_Worker-7] WARN org.openbravo.erpCommon.ad_forms.AcctServer - AcctServer - isConvertible NOT from 102 - 10000574
2601f382 2014-07-24 19:06:21,890 [DefaultQuartzScheduler_Worker-7] ERROR org.openbravo.erpCommon.ad_forms.AcctServerData - SQL error in query: SELECT C_Currency_Convert(TO_NUMBER(?), ?, ?,TO_DATE(?),TO_CHAR(?), ?, ?) AS CONVERTED FROM DUALException:org.postgresql.util.PSQLException: ERROR: @NoConversionRate@ (EUR-€) @to@ (USD-$) @ForDate@ '24-07-2015', @Client@ 'F&B International Group' @And@ @ACCS_AD_ORG_ID_D@ 'F&B US, Inc.'.
2601f382 2014-07-24 19:06:21,890 [DefaultQuartzScheduler_Worker-7] WARN org.openbravo.erpCommon.ad_forms.AcctServer - javax.servlet.ServletException: @CODE=0@ERROR: @NoConversionRate@ (EUR-€) @to@ (USD-$) @ForDate@ '24-07-2015', @Client@ 'F&B International Group' @And@ @ACCS_AD_ORG_ID_D@ 'F&B US, Inc.'.
2601f382 2014-07-24 19:06:21,927 [DefaultQuartzScheduler_Worker-7] WARN org.openbravo.erpCommon.ad_forms.AcctServer - java.lang.NumberFormatException
2601f382 2014-07-24 19:06:25,641 [http-8787-1] ERROR org.openbravo.erpCommon.ad_forms.AcctServerData - SQL error in query: SELECT C_Currency_Convert(TO_NUMBER(?), ?, ?,TO_DATE(?),TO_CHAR(?), ?, ?) AS CONVERTED FROM DUALException:org.postgresql.util.PSQLException: ERROR: @NoConversionRate@ (EUR-€) @to@ (USD-$) @ForDate@ '24-07-2015', @Client@ 'F&B International Group' @And@ @ACCS_AD_ORG_ID_D@ 'F&B US, Inc.'.

(0069002)
rafaroda (developer)
2014-07-31 08:51
edited on: 2014-08-06 14:04

When fixed, error message should be the same as the one displayed when posting and invoice with no conversion rate "Document currency cannot be converted to the Accounting Schema currency." and document status "Post: Not Convertible (no rate)": see https://drive.google.com/folderview?id=0B649lz4ZYJcHS0lPNlROeGpneDA&usp=sharing [^]

(0069382)
hgbot (developer)
2014-08-15 08:42

Repository: erp/devel/pi
Changeset: f98f86a4cf600b71960effba47cc67c4ca512698
Author: Rafa Roda Palacios <rafa.roda <at> ubiquads.com>
Date: Thu Aug 14 14:21:48 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f98f86a4cf600b71960effba47cc67c4ca512698 [^]

Fixes issue 26379 Now No Conversion Rate error message is properly handled in Accounting Server

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
---
(0069449)
hudsonbot (developer)
2014-08-18 01:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ed428d44c18c [^]
Maturity status: Test
(0069528)
AtulOpenbravo (developer)
2014-08-19 20:20

Verified

- Issue History
Date Modified Username Field Change
2014-04-25 10:19 jonalegriaesarte New Issue
2014-04-25 10:19 jonalegriaesarte Assigned To => jonalegriaesarte
2014-04-25 10:19 jonalegriaesarte Modules => Core
2014-04-25 10:19 jonalegriaesarte Triggers an Emergency Pack => No
2014-04-28 16:57 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-07-24 18:32 rafaroda Status new => scheduled
2014-07-24 18:32 rafaroda Assigned To pramakrishnan => rafaroda
2014-07-24 18:32 rafaroda fix_in_branch => pi
2014-07-24 19:14 rafaroda Note Added: 0068878
2014-07-25 12:28 rafaroda Note Edited: 0068878 View Revisions
2014-07-30 19:13 eduardo_Argal File Added: FixesIssue_26379.diff
2014-07-31 08:51 rafaroda Note Added: 0069002
2014-08-06 14:04 rafaroda Note Edited: 0069002 View Revisions
2014-08-15 08:42 hgbot Checkin
2014-08-15 08:42 hgbot Note Added: 0069382
2014-08-15 08:42 hgbot Status scheduled => resolved
2014-08-15 08:42 hgbot Resolution open => fixed
2014-08-15 08:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f98f86a4cf600b71960effba47cc67c4ca512698 [^]
2014-08-18 01:58 hudsonbot Checkin
2014-08-18 01:58 hudsonbot Note Added: 0069449
2014-08-19 20:20 AtulOpenbravo Review Assigned To => AtulOpenbravo
2014-08-19 20:20 AtulOpenbravo Note Added: 0069528
2014-08-19 20:20 AtulOpenbravo Status resolved => closed
2014-08-19 20:20 AtulOpenbravo Fixed in Version => pi


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker